ChangeSet 1.1595.7.26, 2003/07/31 22:46:56-07:00, david-b@pacbell.net

[PATCH] USB: usb_gadget.h doc fix

The "automagic control completion" has been gone for some
time now, except for the documentation fixed in this patch.
It mentions the "deferred response" mode that's used when
some context (like a gadgetfs thread) other than the IRQ
handler is responding to control requests.


 include/linux/usb_gadget.h |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)


diff -Nru a/include/linux/usb_gadget.h b/include/linux/usb_gadget.h
--- a/include/linux/usb_gadget.h	Fri Aug  1 10:54:20 2003
+++ b/include/linux/usb_gadget.h	Fri Aug  1 10:54:20 2003
@@ -301,9 +301,13 @@
  * toggle differently.
  *
  * Control endpoints ... after getting a setup() callback, the driver queues
- * one response (optional if it would be zero length).  That enables the
+ * one response (even if it would be zero length).  That enables the
  * status ack, after transfering data as specified in the response.  Setup
  * functions may return negative error codes to generate protocol stalls.
+ * (Note that some USB device controllers disallow protocol stall responses
+ * in some cases.)  When control responses are deferred (the response is
+ * written after the setup callback returns), then usb_ep_set_halt() may be
+ * used on ep0 to trigger protocol stalls.
  *
  * For periodic endpoints, like interrupt or isochronous ones, the usb host
  * arranges to poll once per interval, and the gadget driver usually will
